Subject: RFC: on [ab]use of skb->cb by VLAN code

From: jamal <[email-masked]>
Date: Mon, 30 Jul 2007 20:59:16 -0400

I was going to forget this, but its been playing in the back of my head
and wont go away....
Matt Carlson recently (while fixing the tg3 driver in my batching
patches) pointed to me that skb->cb[] was being used to pass around vlan
data. 
This seems like a bad use since there can be a lot of things between 
a real hardware driver and something that sets a vlan tag (qdiscs come
to mind).

Creating a new skb field be the reasonable thing to do here but i know
that we are trying to avoid adding new fields. Thoughts?

cheers,
jamal